#include "db/NewDB.h"
#include "util/coding.h"
#include "db/write_batch_internal.h"
#include "db/version_set.h"
#include "db/db_impl.h"
#include <string>
#include <sstream>
#include <unordered_map>
#include <map>
#include <iostream>
#include <mutex>
#include <thread>
#include <ctime>
#include <condition_variable>
#include <unordered_set>

namespace leveldb{
NewDB::~NewDB() {

}

Status NewDB::Open(const Options& options, const std::string& name, NewDB** dbptr) {

}


Status NewDB::Put_fields(const WriteOptions& options, const Slice& key, const FieldArray& fields){

}

Status NewDB::Get_fields(const ReadOptions& options, const Slice& key, FieldArray* fields){

}

std::vector<std::string> NewDB::FindKeysByField(Field &field){  

}

bool NewDB::Delete(const WriteOptions& options, const Slice& key){  

}



bool NewDB::CreateIndexOnField(const std::string& field_name) {

}

std::vector<std::string> NewDB::QueryByIndex(Field &field){   

}

bool NewDB::DeleteIndex(const std::string& field_name){    

}

}





